Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.cell.client
Class CheckboxCell

    java.lang.Object
      com.google.gwt.cell.client.AbstractCell<C>
          com.google.gwt.cell.client.AbstractEditableCell<java.lang.Boolean,java.lang.Boolean>
              com.google.gwt.cell.client.CheckboxCell

All Implemented Interfaces:
  Cell<java.lang.Boolean>

    public class CheckboxCell

extends AbstractEditableCell<java.lang.Boolean,java.lang.Boolean>

A `Cell` used to render a checkbox. The value of the checkbox may be toggled using the ENTER key as well as via mouse click.

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gwt.cell.client.Cell
`Cell.Context`

Constructor Summary
`CheckboxCell()` Construct a new `CheckboxCell`.
`CheckboxCell(boolean isSelectBox)` Deprecated. use `CheckboxCell(boolean, boolean)` instead
`CheckboxCell(boolean dependsOnSelection, boolean handlesSelection)` Construct a new `CheckboxCell` that optionally controls selection.

Method Summary
`boolean` | `dependsOnSelection()` Check if this cell depends on the selection state.
`boolean` | `handlesSelection()` Check if this cell handles selection.
`boolean` | `isEditing(Cell.Context context, Element parent, java.lang.Boolean value)` Returns true if the cell is currently editing the data identified by the given element and key.
`void` | `onBrowserEvent(Cell.Context context, Element parent, java.lang.Boolean value, NativeEvent event, ValueUpdater<java.lang.Boolean> valueUpdater)` Handle a browser event that took place within the cell.
`void` | `render(Cell.Context context, java.lang.Boolean value, SafeHtmlBuilder sb)` Render a cell as HTML into a `SafeHtmlBuilder`, suitable for passing to `Element.setInnerHTML(String)` on a container element.

Methods inherited from class com.google.gwt.cell.client.AbstractEditableCell
`clearViewData, getViewData, setViewData`

Methods inherited from class com.google.gwt.cell.client.AbstractCell
`getConsumedEvents, onEnterKeyDown, resetFocus, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckboxCell

    public CheckboxCell()

  Construct a new `CheckboxCell`.

### CheckboxCell

    @Deprecated
    public CheckboxCell(boolean isSelectBox)

  Deprecated. use `CheckboxCell(boolean, boolean)` instead

  Construct a new `CheckboxCell` that optionally controls selection.

  Parameters:
    `isSelectBox` - true if the cell controls the selection state

### CheckboxCell

    public CheckboxCell(boolean dependsOnSelection,
                        boolean handlesSelection)

  Construct a new `CheckboxCell` that optionally controls selection.

  Parameters:
    `dependsOnSelection` - true if the cell depends on the selection state
    `handlesSelection` - true if the cell modifies the selection state

Method Detail

### dependsOnSelection

    public boolean dependsOnSelection()

  Description copied from interface: `Cell`
  Check if this cell depends on the selection state.

  Specified by:
    `dependsOnSelection` in interface `Cell<java.lang.Boolean>`
  Overrides:
    `dependsOnSelection` in class `AbstractCell<java.lang.Boolean>`
  Returns:
    true if dependent on selection, false if not

### handlesSelection

    public boolean handlesSelection()

  Description copied from interface: `Cell`
  Check if this cell handles selection. If the cell handles selection, then its container should not automatically handle selection.

  Specified by:
    `handlesSelection` in interface `Cell<java.lang.Boolean>`
  Overrides:
    `handlesSelection` in class `AbstractCell<java.lang.Boolean>`
  Returns:
    true if the cell handles selection, false if not

### isEditing

    public boolean isEditing(Cell.Context context,
                             Element parent,
                             java.lang.Boolean value)

  Description copied from class: `AbstractEditableCell`
  Returns true if the cell is currently editing the data identified by the given element and key. While a cell is editing, widgets containing the cell may choose to pass keystrokes directly to the cell rather than using them for navigation purposes.

  Specified by:
    `isEditing` in interface `Cell<java.lang.Boolean>`
  Specified by:
    `isEditing` in class `AbstractEditableCell<java.lang.Boolean,java.lang.Boolean>`
  Parameters:
    `context` - the `Cell.Context` of the cell
    `parent` - the parent Element
    `value` - the value associated with the cell
  Returns:
    true if the cell is in edit mode

### onBrowserEvent

    public void onBrowserEvent(Cell.Context context,
                               Element parent,
                               java.lang.Boolean value,
                               NativeEvent event,
                               ValueUpdater<java.lang.Boolean> valueUpdater)

  Description copied from class: `AbstractCell`
  Handle a browser event that took place within the cell. The default implementation returns null.

  If you override this method to add support for events, remember to pass the event types that the cell expects into the constructor.

  Specified by:
    `onBrowserEvent` in interface `Cell<java.lang.Boolean>`
  Overrides:
    `onBrowserEvent` in class `AbstractCell<java.lang.Boolean>`
  Parameters:
    `context` - the `Cell.Context` of the cell
    `parent` - the parent Element
    `value` - the value associated with the cell
    `event` - the native browser event
    `valueUpdater` - a `ValueUpdater`, or null if not specified

### render

    public void render(Cell.Context context,
                       java.lang.Boolean value,
                       SafeHtmlBuilder sb)

  Description copied from interface: `Cell`
  Render a cell as HTML into a `SafeHtmlBuilder`, suitable for passing to `Element.setInnerHTML(String)` on a container element.

  Note: If your cell contains natively focusable elements, such as buttons or input elements, be sure to set the tabIndex to -1 so that they do not steal focus away from the containing widget.

  Specified by:
    `render` in interface `Cell<java.lang.Boolean>`
  Specified by:
    `render` in class `AbstractCell<java.lang.Boolean>`
  Parameters:
    `context` - the `Cell.Context` of the cell
    `value` - the cell value to be rendered
    `sb` - the `SafeHtmlBuilder` to be written to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD